Get Order Packs
curl --request GET \
--url https://production.trackstarhq.com/wms/orders/{order_id}/packs \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/wms/orders/{order_id}/packs"
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};
fetch('https://production.trackstarhq.com/wms/orders/{order_id}/packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"packs": [
{
"pack_id": "package_id",
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "<string>",
"sku": "<string>",
"quantity": 0
}
]
}
],
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "scac",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "shipping_method_name",
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"order_line_items": [
{
"product_id": null,
"sku": "sku",
"quantity": 1
}
],
"additional_fields": {
"key": "value"
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Orders
Get Order Packs
Returns the packs for the specified order.
GET
/
wms
/
orders
/
{order_id}
/
packs
Get Order Packs
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
⌘I